This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 415781 - Problem parsing root hints file
Problem parsing root hints file
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-07 11:12 EST by jon
Modified: 2013-04-30 19:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-10 03:46:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description jon 2007-12-07 11:12:02 EST
Description of problem:
named complains in an error in my named.ca file.

[root@tmphost etc]# service named start
Starting named:
Error in named configuration:
/etc/named.ca:1: '}' expected near ';'
                                                           [FAILED]

Here's the first 5 lines:
[root@tmphost etc]# head -n 5 named.ca
;       This file holds the information on root name servers needed to
;       initialize cache of Internet domain name servers
;       (e.g. reference this file in the "cache  .  <file>"
;       configuration file of BIND domain name servers).
;

While testing this, I was using the following named.conf:
view    "external"
{
        include "/etc/named.ca";

};


Version-Release number of selected component (if applicable):
[root@tmphost ~]# named -v
BIND 9.5.0a7



How reproducible:


Steps to Reproduce:
1. Go to ISC.org, download root hints and save as named.ca
2. Install bind and bind-chroot, use named.conf from above
3. Start named
  
Actual results:
Error message listed above

Expected results:
Service should start?

Additional info:
Comment 1 jon 2007-12-07 14:24:49 EST
Nevermind, apparently you can't include the root hints directly.  You have to
include a root hints file with a zone "." of type hint.  You can close this.

Recommend that you include a working named.root.hints which is reference in the
default installation to avoid the confusion in the future.
Comment 2 Adam Tkac 2007-12-10 03:46:12 EST
(In reply to comment #1)
> Recommend that you include a working named.root.hints which is reference in the
> default installation to avoid the confusion in the future.

F8 package already includes default configuration. BIND is shipped with
/etc/named.conf and /etc/named.rfc1912.zones . With this configuration BIND will
be used as caching nameserver


Note You need to log in before you can comment on or make changes to this bug.